Package org.apache.storm.security.auth.kerberos

# Class KerberosSaslTransportPlugin

java.lang.Object
org.apache.storm.security.auth.sasl.SaslTransportPlugin
org.apache.storm.security.auth.kerberos.KerberosSaslTransportPlugin

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `ITransportPlugin`

public class KerberosSaslTransportPlugin extends SaslTransportPlugin

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.storm.security.auth.sasl.SaslTransportPlugin

  `SaslTransportPlugin.User`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `KERBEROS`

  ### Fields inherited from class org.apache.storm.security.auth.sasl.SaslTransportPlugin

  `conf, type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KerberosSaslTransportPlugin()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `areWorkerTokensSupported()`
  Check if worker tokens are supported by this transport.
  `void`
  `close()`
  `org.apache.storm.thrift.transport.TTransport`
  `connect(org.apache.storm.thrift.transport.TTransport transport, String serverHost, String asUser)`
  Connect to the specified server via framed transport.
  `org.apache.storm.thrift.transport.TTransportFactory`
  `getServerTransportFactory(boolean impersonationAllowed)`
  Create the transport factory needed for serving.

  ### Methods inherited from class org.apache.storm.security.auth.sasl.SaslTransportPlugin

  `getPort, getServer, prepare`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### KERBEROS

    public static final String KERBEROS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### KerberosSaslTransportPlugin

    public KerberosSaslTransportPlugin()

- ## Method Details

  - ### getServerTransportFactory

    public org.apache.storm.thrift.transport.TTransportFactory getServerTransportFactory(boolean impersonationAllowed) throws IOException
    Description copied from class: `SaslTransportPlugin`
    Create the transport factory needed for serving. All subclass must implement this method.
    Specified by:
      `getServerTransportFactory` in class `SaslTransportPlugin`
    Parameters:
      `impersonationAllowed` - true if SASL impersonation should be allowed, else false.
    Returns:
      server transport factory
    Throws:
      `IOException` - on any error.

  - ### connect

    public org.apache.storm.thrift.transport.TTransport connect(org.apache.storm.thrift.transport.TTransport transport, String serverHost, String asUser) throws IOException, org.apache.storm.thrift.transport.TTransportException
    Description copied from interface: `ITransportPlugin`
    Connect to the specified server via framed transport.
    Parameters:
      `transport` - The underlying Thrift transport.
      `serverHost` - server host
      `asUser` - the user as which the connection should be established, and all the subsequent actions should be executed. Only applicable when using secure storm cluster. A null/blank value here will just indicate to use the logged in user.
    Throws:
      `IOException`
      `org.apache.storm.thrift.transport.TTransportException`

  - ### areWorkerTokensSupported

    public boolean areWorkerTokensSupported()
    Description copied from interface: `ITransportPlugin`
    Check if worker tokens are supported by this transport.
    Returns:
      true if they are else false.

  - ### close

    public void close()
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Overrides:
      `close` in class `SaslTransportPlugin`